Skip to main content
GET
/
v3
/
enterprise
/
sessions
/
{devin_id}
/
attachments
List session attachments
curl --request GET \
  --url https://api.devin.ai/v3/enterprise/sessions/{devin_id}/attachments \
  --header 'Authorization: Bearer <token>'
[
  {
    "attachment_id": "<string>",
    "name": "<string>",
    "source": "devin",
    "url": "<string>",
    "content_type": "<string>"
  }
]

Permissions

Requires a service user with the ViewAccountSessions permission at the enterprise level.

Authorizations

Authorization
string
header
required

Service User credential (prefix: cog_)

Path Parameters

devin_id
string | null
required

Query Parameters

org_id
string | null

Response

Successful Response

attachment_id
string
required
name
string
required
source
enum<string>
required
Available options:
devin,
user
url
string
required
content_type
string | null